#!/bin/bash

POSITION="$(/usr/bin/python /home/marcel/ham/gps/get_position.py)"
INFO="Portable HAM Station"

if [ "$POSITION" != "!0000.00N/00000.00E;" ]; then

  # Set arguments for beacon program
  args[0]=-d
  args[1]="APRX29 $Path"
  args[2]=-s
  args[3]=aprs_1200bd
  args[4]="$POSITION$INFO"

  # Send position beacon
  /usr/sbin/beacon "${args[@]}"

  echo "Position beacon send."

  #/usr/sbin/beacon -d "APRX29" -s aprs_lora $BEACON
else
  echo "No GPS signal found. Nothing to do."
fi
